Bug 799365 - SELinux is preventing /usr/bin/bash from 'read' accesses on the None /etc/passwd.
SELinux is preventing /usr/bin/bash from 'read' accesses on the None /etc/pas...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:bc57e5572ce34fbe82ef667f941...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 10:31 EST by dario
Modified: 2012-03-21 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dario 2012-03-02 10:31:15 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc3.git7.2.fc17.i686.PAE
reason:         SELinux is preventing /usr/bin/bash from 'read' accesses on the None /etc/passwd.
time:           Fri 02 Mar 2012 11:00:58 AM VET

description:
:SELinux is preventing /usr/bin/bash from 'read' accesses on the None /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed read access on the passwd <Unknown> by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep mysqld_safe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:mysqld_safe_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ None ]
:Source                        mysqld_safe
:Source Path                   /usr/bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.20-4.fc17.i686
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-89.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc3.git7.2.fc17.i686.PAE
:                              #1 SMP Fri Feb 17 18:53:03 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Fri 02 Mar 2012 09:31:24 AM VET
:Last Seen                     Fri 02 Mar 2012 10:32:12 AM VET
:Local ID                      b2826688-65f4-4dc9-b1f4-02c3648d3c75
:
:Raw Audit Messages
:type=AVC msg=audit(1330700532.984:29): avc:  denied  { read } for  pid=506 comm="NetworkManager" name="sessions" dev="tmpfs" ino=12587 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:systemd_logind_sessions_t:s0 tclass=dirnode=(removed) type=AVC msg=audit(1330700536.797:38): avc:  denied  { read } for  pid=682 comm="mysqld_safe" name="passwd" dev="sda1" ino=413662 scontext=system_u:system_r:mysqld_safe_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=filenode=(removed) type=SYSCALL msg=audit(1330700536.797:38): arch=40000003 syscall=5 success=no exit=-13 a0=b76d5ed5 a1=80000 a2=1b6 a3=97fd7d8 items=0 ppid=1 pid=682 auid=4294967295 uid=27 gid=27 euid=27 suid=27 fsuid=27 egid=27 sgid=27 fsgid=27 tty=(none) ses=4294967295 comm="mysqld_safe" exe="/usr/bin/bash" subj=system_u:system_r:mysqld_safe_t:s0 key=(null)
:
:
:Hash: mysqld_safe,mysqld_safe_t,passwd_file_t,None,read
:
:audit2allow
:
:
:audit2allow -R
:
:
Comment 1 Daniel Walsh 2012-03-02 14:54:33 EST
Please update to the latest policy.
Comment 2 Daniel Walsh 2012-03-02 14:56:22 EST
Fixed in selinux-policy-3.10.0-96.fc17.noarch
Comment 3 Fedora Update System 2012-03-19 13:55:10 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 4 Fedora Update System 2012-03-20 02:08:12 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-21 14:54:02 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.